| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Stdio
Stdio.File

# Method Stdio.File()->openat()

Method openat

  `File openat(string filename, string mode)`
  `File openat(string filename, string mode, int mask)`

Description

  Open a file relative to an open directory.

See also

  File.statat() , File.unlinkat()

Method openat

  `Stdio.File openat(string filename, string mode)`
  `Stdio.File openat(string filename, string mode, int access)`

Description

  Open a file relative to an opened directory.

Returns

  Returns a new file object on success, and `0` (zero) on failure.

Note

  Not available on all architectures, or in Pike 7.6 and earlier.

See also

  open() , statat() , unlinkat()